Subject: [AAA-WG]: [issue] Minor corrections to mobileip-09

From: "Bob Kopacz" <[email-masked]>
Date: Mon, 4 Mar 2002 19:58:53 -0500

Hi Tony,

Issue :                 Minor corrections to mobileip-09
Submitter name:         Bob Kopacz 
Submitter email address:[email-masked] 
Date first submitted:   03-04-2002 
Reference: 
Document:               draft-mobileip-09 
Comment type:           Technical 
Priority:               1 
Section: 

Rationale/Explanation of issue: 

  Minor editing corrections.

Requested change: 

  - - -
  
  The NASREQ draft has a section "Legacy RADIUS Attributes" with text
  along the lines of "The Diameter protocol reserves the AVP Codes 0-255
  for "legacy RADIUS" support.  The following table contains the RADIUS
  attributes supported by this Diameter application, their AVP code
  values, types, possible flag values and whether the AVP MAY be
  encrypted. RADIUS attributes not listed are not supported by the
  Diameter protocol."
  
  After section 4.0 Mandatory AVPs, create a similar section 4.1 which 
  says something like the following (to indicate the subset of RADIUS
  attributes a Diameter Mobile-IP client/server requires in its
  dictionary):
  
    > 4.1 Supported Legacy RADIUS Attributes
    > 
    > The Diameter protocol reserves the AVP Codes 0-255 for "legacy RADIUS"
    > support.  The base protocol defines the RADIUS attributes User-Name,
    > Session-Timeout, Acct-Session-Time, Acct-Multi-Session-Id, Proxy-State,
    > and Class, all supported by this Diameter application.  This application
    > supports these RADIUS attributes and no others.
  
  - - -
  
  In section 4.3  MIP-Mobile-Node-Address AVP
  
    > The Mobile-Node-Address AVP (AVP Code 333) is of type IPAddress and
          ^^^^^^^^^^^^^^^^^^^
  Change to "MIP-Mobile-Node-Address"
  
  - - -
  
  In section 4.4  MIP-Home-Agent-Address AVP
  
    > The Home-Agent-Addess AVP (AVP Code 334) is of type IPAddress and
          ^^^^^^^^^^^^^^^^^
  Change to "MIP-Home-Agent-Address"
  
  - - -
  
  In section 4.5  MIP-Feature-Vector AVP
  
    > Whenever the Foreign Agent sets either the Mobile-Node-Home-Address-
    > Requested flag or the Home-Agent-Request flag to one, it MUST set the
                            ^^^^^^^^^^^^^^^^^^
  Change to "Home-Agent-Requested"
  
  - - -
  
  In the following, move the 5.5.1 section header down by one paragraph,
  i.e. 
  
  Change:
  
    > 5.5  Distributing the Foreign-Home Session Key
    > 
    > 5.5.1 Home Agent in the home network
    > 
    > If the home agent is in the home realm, then the AAAH has to generate
    > the Foreign-Home session key. Otherwise, it is generated by the AAAF.
    > 
    > In the cases when the AAAH generates the Foreign-Home session key,
    > ...
  
  To:
  
    > 5.5  Distributing the Foreign-Home Session Key
    > 
    > If the home agent is in the home realm, then the AAAH has to generate
    > the Foreign-Home session key. Otherwise, it is generated by the AAAF.
    > 
    > 5.5.1 Home Agent in the home network
    > 
    > In the cases when the AAAH generates the Foreign-Home session key,
    > ...
  
  - - -
  
  In section 6.6  MIP-MN-to-HA-Key AVP
  
    >                       * [ AVP ].fi
  
  Remove ".fi"
  
  - - -
  
  In section 11.1  Normative References
  
    > [DIAMBASE]  P. Calhoun, H. Akhtar, J. Arkko, E. Guttman, A. Rubens,
    >             "Diameter Base Protocol", draft-ietf-aaa-diameter-08.txt,
    >             IETF work in progress, November 2001.
  
  Change to draft-10 (or maybe draft-11 for the next revision)

    > [MOBILEIP]   C. Perkins, Editor. IP Mobility Support. 
    >              RFC 2002, October 1996.
  
  RFC2002 has been obsoleted by RFC3220, January 2002.

    > [CMS]     P. Calhoun, W. Bulley, S. Farrell, "Diameter CMS Security
    >           Application", draft-ietf-aaa-diameter-cms-sec-03.txt,
    >           IETF work in progress, November 2001.
  
  Change to draft-ietf-aaa-diameter-cms-04.txt (or maybe -05 for next revision)

    > [MIPKEYS]  C. Perkins, P. Calhoun, "AAA Registration Keys for Mobile
    >            IP", draft-ietf-mobileip-aaa-key-08.txt, IETF work in
    >            progress, July 2001.
  
  The above has expired, but key-09, 26 February 2002, is out.

---

From: Tony Johansson <[email-masked]>
Date: Tue, 12 Mar 2002 11:42:24 -0800

Hi Bob,

Thanks for the editorial catches.

Please find my comments embedded.

/Tony

>     > supports these RADIUS attributes and no others.

I'm not sure why this would be of any major help, since we do specify all AVP codes
defined in this spec and those used from the Base in the ABNF's and in occurrence
rules table.

Others?

>     > The Mobile-Node-Address AVP (AVP Code 333) is of type IPAddress and

Check.

>     > The Home-Agent-Addess AVP (AVP Code 334) is of type IPAddress and

Check.

>     > Requested flag or the Home-Agent-Request flag to one, it MUST set the

Check.

>     > In the cases when the AAAH generates the Foreign-Home session key,

Okay.

>   In section 6.6  MIP-MN-to-HA-Key AVP

Check.

>   Change to draft-10 (or maybe draft-11 for the next revision)

Check.

>   RFC2002 has been obsoleted by RFC3220, January 2002.

Check.

>   Change to draft-ietf-aaa-diameter-cms-04.txt (or maybe -05 for next revision)

Check.

>   The above has expired, but key-09, 26 February 2002, is out.

Check.